Bug 174153 - emulators/fceux: update to 2.2.0
emulators/fceux: update to 2.2.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Matthias Andree
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-05 16:40 UTC by fiziologus
Modified: 2013-03-26 21:20 UTC (History)
0 users

See Also:


Attachments
file.diff (14.50 KB, patch)
2012-12-05 16:40 UTC, fiziologus
no flags Details | Diff
patch-fceux-up-2.2.1.1.txt (15.14 KB, patch)
2013-03-25 01:35 UTC, c.petrik.sosa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fiziologus 2012-12-05 16:40:00 UTC
[emulators/fceux]

update to 2.2.0

take maintainership

edit WWW

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-05 16:40:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-12-05 16:40:08 UTC
Maintainer of emulators/fceux,

Please note that PR ports/174153 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174153

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Matthias Andree freebsd_committer 2013-03-11 16:45:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mandree

I'll take it.
Comment 4 Matthias Andree freebsd_committer 2013-03-11 16:59:59 UTC
Dear Green Dog, dear Petrik,

I have recently assigned c.petrik.sosa the maintainership of
emulators/fceux, unaware that there was Green Dog <fiziologus>'s earlier
offer to maintain it, because I was not aware of this PR.

Sorry for that, I messed up, but I did not mean to stomp over anyone.

Chris Petrik Sosa has asked me to give maintainership to Green Dog
instead based on the "he was first".

Now before I do that, in an effort to avoid port churn, I would like to
resolve this situation:

1. Green Dog, does your offer to maintain fceux still stand?

2. Would the two of you like to /share/ maintainership?  There are no
major formalities involved, a comment next to the MAINTAINER= line in
the port's Makefile stating the fact that there is a second person with
implicit approval to have the port changed would do just fine, only we
can have just one address as a maintainer address.

We can work out details (like mail exploders) should the need arise, we
have done that before.

If you are so inclined to share maintainership, perhaps the two of you
could just exchange a few email messages, or meet on the #bsdports IRC
channel on the FreeNode network, and discuss your thoughts about how you
would like to maintain the port - just so you're in the same boat.

Best regards
Matthias
Comment 5 fiziologus 2013-03-11 17:58:29 UTC
I took away the port itself, because it was seen that they were not engaged
in maintainer. If you want to take it myself, I do not mind.


2013/3/11 Matthias Andree <mandree@freebsd.org>

> Dear Green Dog, dear Petrik,
>
> I have recently assigned c.petrik.sosa the maintainership of
> emulators/fceux, unaware that there was Green Dog <fiziologus>'s earlier
> offer to maintain it, because I was not aware of this PR.
>
> Sorry for that, I messed up, but I did not mean to stomp over anyone.
>
> Chris Petrik Sosa has asked me to give maintainership to Green Dog
> instead based on the "he was first".
>
> Now before I do that, in an effort to avoid port churn, I would like to
> resolve this situation:
>
> 1. Green Dog, does your offer to maintain fceux still stand?
>
> 2. Would the two of you like to /share/ maintainership?  There are no
> major formalities involved, a comment next to the MAINTAINER= line in
> the port's Makefile stating the fact that there is a second person with
> implicit approval to have the port changed would do just fine, only we
> can have just one address as a maintainer address.
>
> We can work out details (like mail exploders) should the need arise, we
> have done that before.
>
> If you are so inclined to share maintainership, perhaps the two of you
> could just exchange a few email messages, or meet on the #bsdports IRC
> channel on the FreeNode network, and discuss your thoughts about how you
> would like to maintain the port - just so you're in the same boat.
>
> Best regards
> Matthias
>
>
Comment 6 Matthias Andree freebsd_committer 2013-03-11 18:39:48 UTC
State Changed
From-To: feedback->suspended

waiting for maintainer's update to 2.2.1.1 that fixes the "two files 
lost" issue at the same time
Comment 7 Matthias Andree freebsd_committer 2013-03-11 18:40:13 UTC
This update loses one .png and one .desktop file, so I'll leave this
pending for the nonce.

Petrik is working on an upgrade to 2.2.1.1 that should also fix this
problem.
Comment 8 dfilter freebsd_committer 2013-03-26 21:18:29 UTC
Author: mandree
Date: Tue Mar 26 21:18:20 2013
New Revision: 315330
URL: http://svnweb.freebsd.org/changeset/ports/315330

Log:
  - Maintainer update to new version 2.2.1.1
  - In addition to patch from PR, pick a newer compiler to avoid compilation
    trouble.  Maintainer considers disabling SIMD instead, and might
    follow up with a new patch.
  
  PR:		ports/174153
  Submitted by:	Green Dog <fiziologus@gmail.com> (update to 2.2.0)
  Submitted by:	Chris Petrik <c.petrik.sosa@gmail.com> (update to 2.2.1.1)
  Approved by:	Chris Petrik (maintainer)

Deleted:
  head/emulators/fceux/files/patch-file.c
Modified:
  head/emulators/fceux/Makefile
  head/emulators/fceux/distinfo
  head/emulators/fceux/files/patch-SConstruct
  head/emulators/fceux/pkg-descr   (contents, props changed)
  head/emulators/fceux/pkg-plist   (contents, props changed)

Modified: head/emulators/fceux/Makefile
==============================================================================
--- head/emulators/fceux/Makefile	Tue Mar 26 20:58:23 2013	(r315329)
+++ head/emulators/fceux/Makefile	Tue Mar 26 21:18:20 2013	(r315330)
@@ -2,39 +2,135 @@
 # $FreeBSD$
 
 PORTNAME=	fceux
-PORTVERSION=	2.1.5
+PORTVERSION=	2.2.1.1
 CATEGORIES=	emulators
-MASTER_SITES=	SF/fceultra/Source%20Code/2.1.5%20src/
+MASTER_SITES=	SF/fceultra/Source%20Code/${PORTVERSION:R}%20src/
 DISTNAME=	${PORTNAME}-${PORTVERSION}.src
 
 MAINTAINER=	c.petrik.sosa@gmail.com
-COMMENT=	Portable NES/Famicom emulator based on Bero's original FCE
+COMMENT=	A portable NES/Famicom emulator based on Bero's original FCE
 
-USE_BZIP2=	yes
+USE_PKGCONFIG=	build
 USE_SCONS=	yes
+SCONS_BUILDENV=	CC="${CC}" CXX="${CXX}" \
+		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
+		CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include" \
+		LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib"
+SCONS_ARGS+=	--prefix="${PREFIX}"
 USE_SDL=	sdl
 USE_DOS2UNIX=	yes
+
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+
+RUN_DEPENDS+=	zenity:${PORTSDIR}/x11/zenity
+
+MAN6=		fceux.6 fceux-net-server.6
+
+OPTIONS_DEFINE=	FRAMESKIP OPENGL DEBUG LUA CREATE_AVI LOGO
+OPTIONS_SINGLE=	GUI
+OPTIONS_SINGLE_GUI=	GTK2 GTK3
+OPTIONS_DEFAULT=	FRAMESKIP OPENGL LUA NEWPPU CREATE_AVI LOGO GTK2
+
+FRAMESKIP_DESC=		Enable frameskipping
+LUA_DESC=		Enable Lua support
+CREATE_AVI_DESC=	Enable avi creation support (SDL)
+LOGO_DESC=		Enable a logoscreen when creating avis (SDL)
+GTK2_DESC=		Enable GTK2 GUI (SDL)
+GTK3_DESC=		Enable GTK3 GUI (SDL)
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MFRAMESKIP}
+SCONS_ARGS+=	FRAMESKIP=1
+.else
+SCONS_ARGS+=	FRAMESKIP=0
+.endif
+
+.if ${PORT_OPTIONS:MGTK2}
+SCONS_ARGS+=	GTK=1
+USE_GNOME+=	gtk20
+.else
+SCONS_ARGS+=	GTK=0
+.endif
+
+.if ${PORT_OPTIONS:MGTK3}
+SCONS_ARGS+=	GTK3=1
+USE_GNOME+=	gtk30
+.else
+SCONS_ARGS+=	GTK3=0
+.endif
+
+.if ${PORT_OPTIONS:MLUA}
+SCONS_ARGS+=	LUA=1 SYSTEM_LUA=1
 USE_LUA=	yes
+.else
+SCONS_ARGS+=	LUA=0
+.endif
 
-WRKSRC=		${WRKDIR}/fceu${PORTVERSION}
+.if ${PORT_OPTIONS:MLOGO}
+SCONS_ARGS+=	LOGO=1 CREATE_AVI=1
+LIB_DEPENDS+=	gd:${PORTSDIR}/graphics/gd
+.else
+SCONS_ARG+=	LOGO=0
+.endif
 
-BUILD_DEPENDS+=	zenity:${PORTSDIR}/x11/zenity
+.if ${PORT_OPTIONS:MOPENGL}
+SCONS_ARGS+=	OPENGL=1
+USE_GL=		gl
+.else
+SCONS_ARGS+=	OPENGL=0
+.endif
+
+.if ${PORT_OPTIONS:MCREATE_AVI}
+SCONS_ARGS+=	CREATE_AVI=1
+.else
+SCONS_ARGS+=	CREATE_AVI=0
+.endif
 
-MAN6=		fceux.6
+.if ${PORT_OPTIONS:MDEBUG}
+SCONS_ARGS+=	DEBUG=1
+.else
+SCONS_ARGS+=	DEBUG=0
+.endif
 
 .include <bsd.port.pre.mk>
 
-post-extract:
-	${REINPLACE_CMD} -e 's/[[:cntrl:]]*$$//' \
-		${WRKSRC}/src/drivers/common/vidblit.cpp
-	@${MV} ${WRKSRC}/documentation/fceux.6 ${WRKSRC}/
-
-do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/src/fceux ${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/fceux.6 ${PREFIX}/man/man6
-.if !defined(NOPORTDOCS)
+# Go find a better compiler, base cc does not support mm3dnow.h,
+# breaking the build:
+#
+# In file included from src/drivers/videolog/rgbtorgb.cpp:14:
+# src/drivers/videolog/simd.h:13:56: error: mm3dnow.h: No such file or directory
+#
+# Use clang if in /usr/bin, else set USE_GCC:
+#
+.if (empty(CC:T:Mgcc4*) && empty(CC:T:Mclang*)) || (empty(CXX:T:Mg??4*) && empty(CXX:T:Mclang++*))
+.if (${OSVERSION} >= 900014) && (exists(/usr/bin/clang++) && exists(/usr/bin/clang))
+CC=		/usr/bin/clang
+CXX=		/usr/bin/clang++
+CPP=		/usr/bin/clang-cpp
+.else
+USE_GCC=	4.6+
+.endif
+.endif
+
+post-patch:
+	${REINPLACE_CMD} -e 's|%%PKGCONFIG%%|${LOCALBASE}/bin/pkg-config|g' \
+		-e 's|%%SDLCONFIG%%|${LOCALBASE}/bin/sdl-config|g' \
+		${WRKSRC}/SConstruct
+	${REINPLACE_CMD} -e 's|usr|usr/local|g' ${WRKSRC}/fceux.desktop
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-	cd ${WRKSRC}/documentation && ${COPYTREE_SHARE} . ${DOCSDIR}/
+.for file in TODO-PROJECT Videolog.txt cheat.html faq fcs.txt fm2.txt protocol.txt snes9x-lua.html
+	@${CP} ${WRKSRC}/documentation/${file} ${DOCSDIR}
+.endfor
+	@${MV} ${WRKSRC}/documentation/tech ${DOCSDIR}
 .endif
+	${MKDIR} ${PREFIX}/share/applications
+	${INSTALL_DATA} ${WRKSRC}/fceux.desktop \
+		${PREFIX}/share/applications/fceux.desktop
+	@${INSTALL_DATA} ${WRKSRC}/fceux.png \
+		${PREFIX}/share/pixmaps/fceux.png
 
 .include <bsd.port.post.mk>

Modified: head/emulators/fceux/distinfo
==============================================================================
--- head/emulators/fceux/distinfo	Tue Mar 26 20:58:23 2013	(r315329)
+++ head/emulators/fceux/distinfo	Tue Mar 26 21:18:20 2013	(r315330)
@@ -1,2 +1,2 @@
-SHA256 (fceux-2.1.5.src.tar.bz2) = ee6b1ee6a0347e325032f6655a5caa289e2b0458f7fccddccd5137f1cd63bf9f
-SIZE (fceux-2.1.5.src.tar.bz2) = 7322199
+SHA256 (fceux-2.2.1.1.src.tar.gz) = afb0b3b8e1d2eea40c59777ef538b69b16164ae53c406106e541099534db828c
+SIZE (fceux-2.2.1.1.src.tar.gz) = 8878420

Modified: head/emulators/fceux/files/patch-SConstruct
==============================================================================
--- head/emulators/fceux/files/patch-SConstruct	Tue Mar 26 20:58:23 2013	(r315329)
+++ head/emulators/fceux/files/patch-SConstruct	Tue Mar 26 21:18:20 2013	(r315330)
@@ -1,15 +1,104 @@
---- SConstruct.bak	2012-09-30 14:49:24.000000000 -0500
-+++ SConstruct	2012-09-30 14:50:46.000000000 -0500
-@@ -56,9 +56,9 @@
- else:
-   conf = Configure(env)
-   assert conf.CheckLibWithHeader('z', 'zlib.h', 'C', 'inflate;', 1), "please install: zlib"
--  if not conf.CheckLib('SDL'):
--    print 'Did not find libSDL or SDL.lib, exiting!'
--    Exit(1)
-+  ###if not conf.CheckLib('SDL'):
-+  ###  print 'Did not find libSDL or SDL.lib, exiting!'
-+  ###  Exit(1)
+--- SConstruct.bak	2013-03-24 08:54:38.000000000 +0000
++++ SConstruct	2013-03-24 09:04:53.000000000 +0000
+@@ -17,7 +17,7 @@
+   BoolVariable('FRAMESKIP', 'Enable frameskipping', 1),
+   BoolVariable('OPENGL',    'Enable OpenGL support', 1),
+   BoolVariable('LSB_FIRST', 'Least signficant byte first (non-PPC)', 1),
+-  BoolVariable('DEBUG',     'Build with debugging symbols', 1),
++  BoolVariable('DEBUG',     'Build with debugging symbols', 0),
+   BoolVariable('LUA',       'Enable Lua support', 1),
+   BoolVariable('SYSTEM_LUA','Use system lua instead of static lua provided with fceux', 1),
+   BoolVariable('SYSTEM_MINIZIP', 'Use system minizip instead of static minizip provided with fceux', 0),
+@@ -35,8 +35,8 @@
+ env = Environment(options = opts)
+ 
+ #### Uncomment this for a public release ###
+-env.Append(CPPDEFINES=["PUBLIC_RELEASE"])
+-env['DEBUG'] = 0
++#env.Append(CPPDEFINES=["PUBLIC_RELEASE"])
++#env['DEBUG'] = 0
+ ############################################
  
+ # LSB_FIRST must be off for PPC to compile
+@@ -101,13 +101,13 @@
+     if not conf.CheckLib('SDL'):
+       print 'Did not find libSDL or SDL.lib, exiting!'
+       Exit(1)
+-    env.ParseConfig('sdl-config --cflags --libs')
++    env.ParseConfig('%%SDLCONFIG%% --cflags --libs')
    if env['GTK']:
+     if not conf.CheckLib('gtk-x11-2.0'):
+       print 'Could not find libgtk-2.0, exiting!'
+       Exit(1)
+     # Add compiler and linker flags from pkg-config
+-    config_string = 'pkg-config --cflags --libs gtk+-2.0'
++    config_string = '%%PKGCONFIG%% --cflags --libs gtk+-2.0'
+     if env['PLATFORM'] == 'darwin':
+       config_string = 'PKG_CONFIG_PATH=/opt/X11/lib/pkgconfig/ ' + config_string
+     env.ParseConfig(config_string)
+@@ -115,7 +115,7 @@
+     env.Append(CCFLAGS = ["-D_GTK"])
+   if env['GTK3']:
      # Add compiler and linker flags from pkg-config
+-    config_string = 'pkg-config --cflags --libs gtk+-3.0'
++    config_string = '%%PKGCONFIG%% --cflags --libs gtk+-3.0'
+     if env['PLATFORM'] == 'darwin':
+       config_string = 'PKG_CONFIG_PATH=/opt/X11/lib/pkgconfig/ ' + config_string
+     env.ParseConfig(config_string)
+@@ -134,11 +134,11 @@
+       # Should work on any *nix
+       env.Append(CCFLAGS = ["-DLUA_USE_LINUX"])
+     lua_available = False
+-    if conf.CheckLib('lua5.1'):
+-      env.Append(LINKFLAGS = ["-ldl", "-llua5.1"])
++    if conf.CheckLib('lua-5.1'):
++      env.Append(LINKFLAGS = ["-llua-5.1"])
+       lua_available = True
+     elif conf.CheckLib('lua'):
+-      env.Append(LINKFLAGS = ["-ldl", "-llua"])
++      env.Append(LINKFLAGS = ["-llua"])
+       lua_available = True
+     if lua_available == False:
+       print 'Could not find liblua, exiting!'
+@@ -156,6 +156,7 @@
+    
+   if env['OPENGL'] and conf.CheckLibWithHeader('GL', 'GL/gl.h', 'c', autoadd=1):
+     conf.env.Append(CCFLAGS = "-DOPENGL")
++    env.ParseConfig('%%PKGCONFIG%% --cflags --libs gl')
+   conf.env.Append(CPPDEFINES = ['PSS_STYLE=1'])
+   
+   env = conf.Finish()
+@@ -173,7 +174,7 @@
+   env.Append(CPPDEFINES=["_DEBUG"], CCFLAGS = ['-g'])
+ else:
+   env.Append(CCFLAGS = ['-O2'])
+-
++  env.Append(CPPDEFINES=["PUBLIC_RELEASE"])
+ if env['PLATFORM'] != 'win32' and env['PLATFORM'] != 'cygwin' and env['CREATE_AVI']:
+   env.Append(CPPDEFINES=["CREATE_AVI"])
+ else:
+@@ -200,18 +201,18 @@
+ auxlib_dst = 'bin/auxlib.lua'
+ auxlib_inst_dst = prefix + '/share/fceux/auxlib.lua'
+ 
+-fceux_h_src = 'src/drivers/win/help/fceux.chm'
+-fceux_h_dst = 'bin/fceux.chm'
++#fceux_h_src = 'src/drivers/win/help/fceux.chm'
++#fceux_h_dst = 'bin/fceux.chm'
+ 
+-env.Command(fceux_h_dst, fceux_h_src, [Copy(fceux_h_dst, fceux_h_src)])
+-env.Command(fceux_dst, fceux_src, [Copy(fceux_dst, fceux_src)])
++#env.Command(fceux_h_dst, fceux_h_src, [Copy(fceux_h_dst, fceux_h_src)])
++#env.Command(fceux_dst, fceux_src, [Copy(fceux_dst, fceux_src)])
+ env.Command(fceux_net_server_dst, fceux_net_server_src, [Copy(fceux_net_server_dst, fceux_net_server_src)])
+ env.Command(auxlib_dst, auxlib_src, [Copy(auxlib_dst, auxlib_src)])
+ 
+ man_src = 'documentation/fceux.6'
+ man_net_src = 'documentation/fceux-net-server.6'
+-man_dst = prefix + '/share/man/man6/fceux.6'
+-man_net_dst = prefix + '/share/man/man6/fceux-net-server.6'
++man_dst = prefix + '/man/man6/fceux.6'
++man_net_dst = prefix + '/man/man6/fceux-net-server.6'
+ 
+ share_src = 'output/'
+ share_dst = prefix + '/share/fceux/'

Modified: head/emulators/fceux/pkg-descr
==============================================================================
--- head/emulators/fceux/pkg-descr	Tue Mar 26 20:58:23 2013	(r315329)
+++ head/emulators/fceux/pkg-descr	Tue Mar 26 21:18:20 2013	(r315330)
@@ -9,4 +9,4 @@ images, headerless and FWNES style FDS d
 
 FCE Ultra currently supports the following iNES mappers(many partially):
 
-WWW: http://fceultra.sourceforge.net/
+WWW: http://www.fceux.com/

Modified: head/emulators/fceux/pkg-plist
==============================================================================
--- head/emulators/fceux/pkg-plist	Tue Mar 26 20:58:23 2013	(r315329)
+++ head/emulators/fceux/pkg-plist	Tue Mar 26 21:18:20 2013	(r315330)
@@ -1,30 +1,109 @@
 bin/fceux
-%%PORTDOCS%%%%DOCSDIR%%/snes9x-lua.html
-%%PORTDOCS%%%%DOCSDIR%%/fcs.txt
-%%PORTDOCS%%%%DOCSDIR%%/protocol.txt
-%%PORTDOCS%%%%DOCSDIR%%/todo
+bin/fceux-net-server
+share/applications/fceux.desktop
+share/pixmaps/fceux.png
+%%DATADIR%%/auxlib.lua
+%%DATADIR%%/luaScripts/AVI-HeadsUpDisplay.lua
+%%DATADIR%%/luaScripts/BoulderDash_AmoebaAI.lua
+%%DATADIR%%/luaScripts/BugsBunnyBirthdayBlowout.lua
+%%DATADIR%%/luaScripts/ButtonCount.lua
+%%DATADIR%%/luaScripts/CustomLagIndicator_RvT.lua
+%%DATADIR%%/luaScripts/Excitingbike-speedometeronly.lua
+%%DATADIR%%/luaScripts/Excitingbike.lua
+%%DATADIR%%/luaScripts/FRKfunctions.lua
+%%DATADIR%%/luaScripts/GUI-iup_button.lua
+%%DATADIR%%/luaScripts/GUI-iup_example.lua
+%%DATADIR%%/luaScripts/Galaxian.lua
+%%DATADIR%%/luaScripts/Gradius-BulletHell.lua
+%%DATADIR%%/luaScripts/JumpingFCEUXWindow.lua
+%%DATADIR%%/luaScripts/Luabot.lua
+%%DATADIR%%/luaScripts/Machrider.lua
+%%DATADIR%%/luaScripts/MegamanII-LaserEyes.lua
+%%DATADIR%%/luaScripts/MemoryWatch.lua
+%%DATADIR%%/luaScripts/Multitrack.lua
+%%DATADIR%%/luaScripts/Multitrack2.lua
+%%DATADIR%%/luaScripts/NightmareElmStreet-4Player.lua
+%%DATADIR%%/luaScripts/PunchOutChallenge.lua
+%%DATADIR%%/luaScripts/PunchOutStats.lua
+%%DATADIR%%/luaScripts/PunchOutTraining.lua
+%%DATADIR%%/luaScripts/RBIBaseball.lua
+%%DATADIR%%/luaScripts/Registerfind(CheatSearch).lua
+%%DATADIR%%/luaScripts/Rewinder.lua
+%%DATADIR%%/luaScripts/SMB-AreaScrambler.lua
+%%DATADIR%%/luaScripts/SMB-CompetitionRecorder.lua
+%%DATADIR%%/luaScripts/SMB-HitBoxes.lua
+%%DATADIR%%/luaScripts/SMB-Jetpack.lua
+%%DATADIR%%/luaScripts/SMB-Lives&HPDisplay.lua
+%%DATADIR%%/luaScripts/SMB-Mouse.lua
+%%DATADIR%%/luaScripts/SMB-Snow.lua
+%%DATADIR%%/luaScripts/SMB2U.lua
+%%DATADIR%%/luaScripts/SMB3-RainbowRiding.lua
+%%DATADIR%%/luaScripts/ShowPalette.lua
+%%DATADIR%%/luaScripts/SoundDisplay.lua
+%%DATADIR%%/luaScripts/SoundDisplay2.lua
+%%DATADIR%%/luaScripts/Subtitler.lua
+%%DATADIR%%/luaScripts/TeenageMutantNinjaTurtles.lua
+%%DATADIR%%/luaScripts/UsingLuaBot-Documentation.txt
+%%DATADIR%%/luaScripts/UsingLuaScripting-Documentation.txt
+%%DATADIR%%/luaScripts/UsingLuaScripting-ListofFunctions.txt
+%%DATADIR%%/luaScripts/ZapperDisplay.lua
+%%DATADIR%%/luaScripts/ZapperFun.lua
+%%DATADIR%%/luaScripts/luabot_framework.lua
+%%DATADIR%%/luaScripts/m_utils.lua
+%%DATADIR%%/luaScripts/shapedefs.lua
+%%DATADIR%%/luaScripts/taseditor/InputDisplay_for_Selection.lua
+%%DATADIR%%/luaScripts/taseditor/InvertSelection.lua
+%%DATADIR%%/luaScripts/taseditor/RecordBackwards.lua
+%%DATADIR%%/luaScripts/taseditor/ShowNotes.lua
+%%DATADIR%%/luaScripts/taseditor/Swap1P2P.lua
+%%DATADIR%%/luaScripts/taseditor/TrackNoise.lua
+%%DATADIR%%/luaScripts/tetris.lua
+%%DATADIR%%/luaScripts/vnb.lua
+%%DATADIR%%/luaScripts/x_functions.lua
+%%DATADIR%%/luaScripts/x_interface.lua
+%%DATADIR%%/luaScripts/x_smb1enemylist.lua
+%%DATADIR%%/palettes/ASQ_realityA.pal
+%%DATADIR%%/palettes/ASQ_realityB.pal
+%%DATADIR%%/palettes/BMF_final2.pal
+%%DATADIR%%/palettes/BMF_final3.pal
+%%DATADIR%%/palettes/FCEU-13-default_nitsuja.pal
+%%DATADIR%%/palettes/FCEU-15-nitsuja_new.pal
+%%DATADIR%%/palettes/FCEUX.pal
+%%DATADIR%%/palettes/nestopia_rgb.pal
+%%DATADIR%%/palettes/nestopia_yuv.pal
+%%DATADIR%%/taseditor.chm
+%%DATADIR%%/tools/taseditor_patterns.txt
+%%PORTDOCS%%%%DOCSDIR%%/TODO-PROJECT
 %%PORTDOCS%%%%DOCSDIR%%/Videolog.txt
-%%PORTDOCS%%%%DOCSDIR%%/fm2.txt
-%%PORTDOCS%%%%DOCSDIR%%/porting.txt
 %%PORTDOCS%%%%DOCSDIR%%/cheat.html
-%%PORTDOCS%%%%DOCSDIR%%/tech/readme.now
-%%PORTDOCS%%%%DOCSDIR%%/tech/exp/vrcvii.txt
+%%PORTDOCS%%%%DOCSDIR%%/faq
+%%PORTDOCS%%%%DOCSDIR%%/fcs.txt
+%%PORTDOCS%%%%DOCSDIR%%/fm2.txt
+%%PORTDOCS%%%%DOCSDIR%%/protocol.txt
+%%PORTDOCS%%%%DOCSDIR%%/snes9x-lua.html
+%%PORTDOCS%%%%DOCSDIR%%/tech/cpu/4017.txt
+%%PORTDOCS%%%%DOCSDIR%%/tech/cpu/dmc.txt
+%%PORTDOCS%%%%DOCSDIR%%/tech/cpu/nessound-4th.txt
+%%PORTDOCS%%%%DOCSDIR%%/tech/cpu/nessound.txt
+%%PORTDOCS%%%%DOCSDIR%%/tech/exp/mmc5-e.txt
 %%PORTDOCS%%%%DOCSDIR%%/tech/exp/smb2j.txt
 %%PORTDOCS%%%%DOCSDIR%%/tech/exp/tengen.txt
-%%PORTDOCS%%%%DOCSDIR%%/tech/exp/mmc5-e.txt
 %%PORTDOCS%%%%DOCSDIR%%/tech/exp/vrcvi.txt
-%%PORTDOCS%%%%DOCSDIR%%/tech/cpu/nessound.txt
-%%PORTDOCS%%%%DOCSDIR%%/tech/cpu/4017.txt
-%%PORTDOCS%%%%DOCSDIR%%/tech/cpu/nessound-4th.txt
-%%PORTDOCS%%%%DOCSDIR%%/tech/cpu/dmc.txt
+%%PORTDOCS%%%%DOCSDIR%%/tech/exp/vrcvii.txt
 %%PORTDOCS%%%%DOCSDIR%%/tech/nsfspec.txt
-%%PORTDOCS%%%%DOCSDIR%%/tech/readme.sound
-%%PORTDOCS%%%%DOCSDIR%%/tech/ppu/loopy2.txt
 %%PORTDOCS%%%%DOCSDIR%%/tech/ppu/2c02 technical operation.txt
 %%PORTDOCS%%%%DOCSDIR%%/tech/ppu/loopy1.txt
-%%PORTDOCS%%%%DOCSDIR%%/faq
+%%PORTDOCS%%%%DOCSDIR%%/tech/ppu/loopy2.txt
+%%PORTDOCS%%%%DOCSDIR%%/tech/readme.now
+%%PORTDOCS%%%%DOCSDIR%%/tech/readme.sound
+@dirrm %%DATADIR%%/tools
+@dirrm %%DATADIR%%/palettes
+@dirrm %%DATADIR%%/luaScripts/taseditor
+@dirrm %%DATADIR%%/luaScripts
+@dirrm %%DATADIR%%
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/tech/ppu
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/tech/cpu
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/tech/exp
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/tech/cpu
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/tech
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Matthias Andree freebsd_committer 2013-03-26 21:19:00 UTC
State Changed
From-To: suspended->closed

Committed maintainer's newer patch to upgrade to 2.2.1.1 instead. Thanks 
for your original patch, and the offer to maintain the port!